Bug 568110 - SELinux is preventing /usr/bin/kdm "read" access on console.
Summary: SELinux is preventing /usr/bin/kdm "read" access on console.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:dc6a9f8b570...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 19:46 UTC by Martin Naď
Modified: 2010-03-10 06:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-10 06:48:21 UTC


Attachments (Terms of Use)

Description Martin Naď 2010-02-24 19:46:41 UTC
Souhrn:

SELinux is preventing /usr/bin/kdm "read" access on console.

Podrobný popis:

SELinux denied access requested by kdm. It is not expected that this access is
required by kdm and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                system_u:system_r:xdm_t:s0-s0:c0.c1023
Kontext cíle                 system_u:object_r:console_device_t:s0
Objekty cíle                 console [ chr_file ]
Zdroj                         kdm
Cesta zdroje                  /usr/bin/kdm (deleted)
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          kdm-4.4.0-5.fc13
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.7.9-4.fc13
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Enforcing
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed)
                              2.6.33-0.47.rc8.git1.fc13.i686.PAE #1 SMP Wed Feb
                              17 05:21:41 UTC 2010 i686 i686
Počet upozornění           2
Poprvé viděno               St 24. únor 2010, 20:42:24 CET
Naposledy viděno             St 24. únor 2010, 20:44:36 CET
Místní ID                   8b38e7d1-9cc1-4dae-8f47-6644c950865b
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1267040676.751:5): avc:  denied  { read } for  pid=1270 comm="kdm" name="console" dev=devtmpfs ino=5522 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:console_device_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1267040676.751:5): arch=40000003 syscall=5 success=no exit=-13 a0=8066712 a1=8000 a2=0 a3=8a022f0 items=0 ppid=1 pid=1270 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="kdm" exe="/usr/bin/kdm" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,kdm,xdm_t,console_device_t,chr_file,read
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t console_device_t:chr_file read;

Comment 1 Daniel Walsh 2010-02-24 21:40:48 UTC
Miroslav add

term_use_console(xdm_t)
to F12.

Fixed in selinux-policy-3.7.10-4.fc13.noarch

Comment 2 Fedora Update System 2010-03-04 18:46:34 UTC
selinux-policy-3.7.11-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.11-1.fc13

Comment 3 Fedora Update System 2010-03-05 03:34:25 UTC
selinux-policy-3.7.11-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.11-1.fc13

Comment 4 Fedora Update System 2010-03-10 06:47:53 UTC
selinux-policy-3.7.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.